## zeromq3 3.2.3+dfsg

=== debian/changelog ===
zeromq3 (3.2.3+dfsg-2~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.
  * Removed multiarch install locations

 -- Joe Healy <joehealy@gmail.com>  Sun, 01 Sep 2013 20:42:11 +1000

zeromq3 (3.2.3+dfsg-2) unstable; urgency=low

  * Make test failures non-fatal on kfreebsd and s390/s390x

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 14 May 2013 15:42:02 +0200

zeromq3 (3.2.3+dfsg-1) unstable; urgency=low

  * New upstream release
    - Change connection failure test to use an invalid hostname
      (Closes: #705561)
  * Fix typo in libzmq3-dbg description (Closes: #696731)
  * Provide the zmq.hpp C++ header again (Closes: #697743)
  * Upload to unstable

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 03 May 2013 13:00:43 +0200

zeromq3 (3.2.2+dfsg-1) experimental; urgency=low

  * New upstream release (Closes: #694087)
  * Do not mangle upstream version anymore

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 24 Nov 2012 17:07:58 +0100

zeromq3 (3.2.1~rc2+dfsg-1) experimental; urgency=low

  * New upstream RC release (Closes: #690704)
  * Bump Standards-Version to 3.9.4 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 16 Oct 2012 19:49:30 +0200

zeromq3 (3.2.0~rc1+dfsg-1) experimental; urgency=low

  * New upstream RC release
  * Use repack.{local,stub} instead of get-orig-source rule
  * Add 01_fix-unused-variable-error.patch
  * Remove build dependency on uuid-dev (no more needed)
  * Add 02_check-ifdef-SO_NOSIGPIPE.patch to fix kfreebsd build
  * Add 03_fix-test_shutdown_stress-segfault.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 12 Jun 2012 10:53:58 +0200

zeromq3 (3.1.0~beta+dfsg-2) experimental; urgency=low

  * libzmq3-dev Conflicts with libzmq-dev (Closes: #676160)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 05 Jun 2012 09:29:58 +0200

zeromq3 (3.1.0~beta+dfsg-1) experimental; urgency=low

  * Initial ZeroMQ v3 packaging (Closes: #661503)
    - Update get-orig-source rule and watch file
    - Rename binary packages to new SONAME
    - Update Vcs-* headers too
    - Update copyright file

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 04 Jun 2012 21:21:09 +0200

zeromq (2.2.0+dfsg-2) unstable; urgency=low

  * Make -dev package Multi-Arch: same too (Closes: #674601)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 03 Jun 2012 13:29:40 +0200

zeromq (2.2.0+dfsg-1) unstable; urgency=low

  * New maintainer (Closes: #673619)
  * Repack upstream tarball to remove bundled openpgm tarball and xmlParser
    - Mangle dversion in watch file
  * Switch to short-form dh rules file
    - Use autotools-dev plugin
  * Bump debhelper compat level to 9
  * Update copyright file using Copyright-Format 1.0
  * Remove source options
  * Remove unused lintian overrides
  * Add Multi-Arch headers
    - Fix *.install files to use multi-arch paths
  * Vcs-* tags point to collab-maint repository
  * Fix short and long descriptions formatting
  * Ignore beta 3.x releases in watch file
  * Remove outdated and uselss README.Debian

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 22 May 2012 22:24:49 +0200

zeromq (2.2.0-1) unstable; urgency=low

  * [5661946] Imported Upstream version 2.2.0 (Closes: #672427)
  * [bbf467d] Bump Standards-Version to 3.9.3 with no changes
  * [0da0708] Add Vcs-Git and Vcs-Browser to debian/control

 -- Martin Lucina <martin@lucina.net>  Sun, 20 May 2012 11:27:32 +0200

zeromq (2.1.11-1) unstable; urgency=low

  * [4016b65] Imported Upstream version 2.1.11
  * [eaa74d0] Maintainer e-mail address changed
  * [9943256] Run testsuite during build (Closes: #655620)
  * [5ea0ff8] Remove unneeded libzmq.la from libzmq-dev (Closes: #633292)

 -- Martin Lucina <martin@lucina.net>  Mon, 23 Jan 2012 11:14:23 +0100

zeromq (2.1.10-1) unstable; urgency=low

  * New upstream version. 

 -- Martin Lucina <mato@kotelna.sk>  Mon, 03 Oct 2011 17:09:06 +0200

zeromq (2.1.9-1) unstable; urgency=low

  * New upstream version. 

 -- Martin Lucina <mato@kotelna.sk>  Thu, 08 Sep 2011 16:38:46 +0200

zeromq (2.1.7-1) unstable; urgency=low

  * New upstream version. (closes: #619374)
  * --with-system-pgm is now used instead of the embedded OpenPGM library. 
  * Added Debian watch file.

 -- Martin Lucina <mato@kotelna.sk>  Fri, 13 May 2011 12:43:09 +0200

zeromq (2.1.4-1) experimental; urgency=low

  * New upstream version.
  * OpenPGM re-enabled for amd64 and i386, still using embedded library.

 -- Martin Lucina <mato@kotelna.sk>  Thu, 07 Apr 2011 15:37:46 +0200

zeromq (2.1.3-1) experimental; urgency=low

  * New upstream version.
  * The zeromq-bin package has been removed, as upstream has removed the
    devices.
  * Temporarily disabled OpenPGM builds on i386 and amd64 due to changes in
    upstream OpenPGM intergration. 

 -- Martin Lucina <mato@kotelna.sk>  Mon, 28 Mar 2011 10:39:51 +0200

zeromq (2.0.10-1) unstable; urgency=low

  * New upstream version.
  * Upstream now uses DFSG-clean OpenPGM tarball, so dropping .dfsg from 
    the Debian version.

 -- Martin Lucina <mato@kotelna.sk>  Thu, 21 Oct 2010 16:21:20 +0200

zeromq (2.0.9.dfsg-1) unstable; urgency=medium

  * New upstream version. 
  * Move all manpages in libzmq0 to zeromq-dev package (closes: #595890) 
  * Updated to standards version 3.9.1.
  * Add lintian-overrides for spelling-error-in-copyright due to error in
    upstream license of xmlParser.
  * Use Breaks: instead of Conflicts: in zeromq-bin package, fixes 
    conflicts-with-version from lintian.
  * Various other minor fixes for warnings from lintian.

 -- Martin Lucina <mato@kotelna.sk>  Wed, 08 Sep 2010 15:25:45 +0200

zeromq (2.0.7.dfsg-1) unstable; urgency=low

  * New upstream version.
  * Reformatted package description, thanks to Rhonda (closes: #577549)
  * Added AUTHORS, NEWS and README to installed documentation.
  * New maintainer (closes: #587505)

 -- Martin Lucina <mato@kotelna.sk>  Wed, 30 Jun 2010 12:31:08 +0200

zeromq (2.0.6beta.dfsg-2) unstable; urgency=low


