## zeromq3 3.2.4+dfsg

=== debian/changelog ===
zeromq3 (3.2.4+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update the zmq.hpp C++ header

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 20 Sep 2013 13:56:16 +0200
