## zeromq3 4.0.4+dfsg

=== debian/changelog ===
zeromq3 (4.0.4+dfsg-2ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: man-in-the-middle attackers to conduct
    downgrade attacks via a crafted connection request.
    - debian/patches/CVE-2014-7202.patch: Solution: accept only the
      mechanism defined by the socket options.
    - CVE-2014-7202

  * SECURITY UPDATE: man-in-the-middle attackers to conduct replay
    attacks via unspecified vectors.
    - debian/patches/CVE-2014-7203.patch: Solution: ensure message
      short nonces are strictly increasing and validate them.
    - CVE-2014-7203

  * SECURITY UPDATE: remote attackers to conduct downgrade attacks
    and bypass ZMTP v3 protocol security mechanisms via a ZMTP v2
    or earlier header.
    - debian/patches/CVE-2014-9721.patch: Solution: if security is
      defined on a socket, reject all V2 and earlier connections,
      unconditionally.
    - CVE-2014-9721

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 07 Aug 2018 10:52:48 -0300

zeromq3 (4.0.4+dfsg-2) unstable; urgency=low

  * Honour nocheck option in DEB_BUILD_OPTIONS .
  * New maintainer (closes: #741746).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 20 Mar 2014 14:51:15 +0000

zeromq3 (4.0.4+dfsg-1) unstable; urgency=medium

  * QA upload; orphan the package
    - Upload to unstable
  * New upstream release
  * Update repack.stub script
  * Drop 02_fix-exported-symbols.patch and 03_fix-s390-rdtsc.patch
    (merged upstream)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 16 Mar 2014 14:02:28 +0100

zeromq3 (4.0.3+dfsg-1) experimental; urgency=medium

  * New upstream release (Closes: #736353)
  * Drop 01_shutdown-race.patch (merged upstream)
  * Update *.symbols file
  * Don't install README anymore
  * Update copyright file

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 05 Feb 2014 22:06:16 +0100

zeromq3 (3.2.4+dfsg-4) unstable; urgency=medium

  * Update Standards-Version to 3.9.5 (no changes needed)
  * Add 03_fix-s390-rdtsc.patch to fix FTBFS on s390x (Closes: #734521)
  * Re-enable tests on s390x

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 12 Jan 2014 13:21:34 +0100

zeromq3 (3.2.4+dfsg-3) unstable; urgency=medium

  * Do not export C++ symbols (Closes: #732654)
  * Use dh-autoreconf instead of autotools-dev

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 20 Dec 2013 19:11:09 +0100

zeromq3 (3.2.4+dfsg-2) unstable; urgency=medium

  * Fix vcs-field-not-canonical
  * Add symbols file
  * Add 01_shutdown-race.patch to fix a race condition on shutdown
    (Closes: #732576)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 19 Dec 2013 13:42:12 +0100
