=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: zeromq3
 Section: libs
 Priority: optional
-Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Uploaders: Joe Healy <joehealy@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9),
- autotools-dev,
+ dh-autoreconf,
  libpgm-dev,
  pkg-config
-Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=collab-maint/zeromq3.git
-Vcs-Git: git://git.debian.org/collab-maint/zeromq3.git
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zeromq3.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/zeromq3.git
 Homepage: http://www.zeromq.org/
 
 Package: libzmq3
