## zeromq3 4.0.5+dfsg

=== debian/changelog ===
zeromq3 (4.0.5+dfsg-3ubuntu1~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 16:29:38 +0000

zeromq3 (4.0.5+dfsg-3) unstable; urgency=high

  * V3 protocol handler vulnerable to downgrade attacks, use upstream
    backported fix for this issue (closes: #784366).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 05 May 2015 21:06:02 +0000

zeromq3 (4.0.5+dfsg-2) unstable; urgency=medium

  * Don't use test_security_curve to prevent FTBFS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 23 Oct 2014 06:29:29 +0000

zeromq3 (4.0.5+dfsg-1) unstable; urgency=high

  * New upstream release with important fixes, including:
    - CVE-2014-7202 - stream_engine.cpp security can be downgraded,
    - CVE-2014-7203 - curve messages can be replayed.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 22 Oct 2014 15:07:39 +0000

zeromq3 (4.0.4+dfsg-3) unstable; urgency=medium

  * Build with libsodium for crypto support (closes: #744969).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 20 Oct 2014 19:16:16 +0000
