=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  libpgm-dev,
+ libsodium-dev,
  pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zeromq3.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/zeromq3.git
 Homepage: http://www.zeromq.org/
