## zeromq3 4.1.4

=== debian/changelog ===
zeromq3 (4.1.4-7) unstable; urgency=medium

  * Switch back libzmq5-dev package name to libzmq3-dev for the transition
    (closes: #818187).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 14 Mar 2016 20:48:59 +0100

zeromq3 (4.1.4-6) unstable; urgency=low

  * Fix FTBFS with GCC 6 (closes: #812049).
  * Update kFreeBSD symbols.
  * Only conflict / replace the development package with the previous soname
    version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Feb 2016 16:26:56 +0100

zeromq3 (4.1.4-5) unstable; urgency=low

  * Update the zmq.hpp C++ header wrapper.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 24 Feb 2016 22:32:08 +0100

zeromq3 (4.1.4-4) unstable; urgency=low

  * Make self-test failures non-fatal and verbose (closes: #815494).
  * Keep rebuildable.

  [ Steven Chamberlain <steven@pyro.eu.org> ]
  * Fix kFreeBSD FTBFS (closes: #815495).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 22 Feb 2016 17:51:44 +0100

zeromq3 (4.1.4-3) unstable; urgency=low

  * Disable buildd failing tests.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Feb 2016 13:46:33 +0100

zeromq3 (4.1.4-2) unstable; urgency=low

  * Upload to unstable.
  * Builds on Hurd (closes: #799235).
  * Update copyright file.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Feb 2016 09:13:38 +0100

zeromq3 (4.1.4-1) experimental; urgency=low

  * New upstream release (closes: #790839).
  * Use patch to Hurd build support.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Jan 2016 18:58:46 +0100

zeromq3 (4.1.2-1) experimental; urgency=low

  * New upstream release (closes: #790839).
  * Library transition to version 5 of soname.
  * Update symbols for libzmq5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 11 Jul 2015 11:00:09 +0000
