=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: zeromq3
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
- libpgm-dev,
+ libpgm-dev (>= 5.2.122~dfsg),
  libsodium-dev,
  pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zeromq3.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/zeromq3.git
 Homepage: http://www.zeromq.org/
 
-Package: libzmq3
+Package: libzmq5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -31,8 +30,10 @@
 Package: libzmq3-dev
 Architecture: any
 Section: libdevel
-Depends: libzmq3 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libzmq-dev
+Depends: libzmq5 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libzmq-dev, libzmq5-dev
+Replaces: libzmq5-dev
+Provides: libzmq5-dev
 Multi-Arch: same
 Description: lightweight messaging kernel (development files)
  ØMQ is a library which extends the standard socket interfaces with features
@@ -44,11 +45,11 @@
  .
  This package contains the ZeroMQ development libraries and header files.
 
-Package: libzmq3-dbg
+Package: libzmq5-dbg
 Architecture: any
 Priority: extra
 Section: debug
-Depends: libzmq3 (= ${binary:Version}), ${misc:Depends}
+Depends: libzmq5 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: lightweight messaging kernel (debugging symbols)
  ØMQ is a library which extends the standard socket interfaces with features
