## zeromq3 4.1.5+git20160811+2fc86bc

=== debian/changelog ===
zeromq3 (4.1.5+git20160811+2fc86bc-0ubuntu2) yakkety; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream snapshot based release (2fc86bc) (LP: #1612240)
  * debian/libzmq5.symbols:
    - Update to include the new exported symbols
  * debian/patches/*:
    - Refresh patches, removed no longer needed sys_ucred_h.patch and
      hurd-support_4.1.5.patch
  * debian/copyright:
    - Updated copyright contents
  * debian/patches/no-hardcoded-port-in-tests.patch:
    - Refresh to the snapshot release of zeromq

  [ Steve Langasek ]
  * Enforce the test suite instead of ignoring test failures, as requested
    by the MIR Team (#1597439)
  * debian/patches/no-hardcoded-port-in-tests.patch: never use hard-
    coded local port numbers in tests.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 21 Sep 2016 12:32:23 +0200

zeromq3 (4.1.5-2) unstable; urgency=low

  * Use Sodium crypto library for CURVE security (closes: #827830).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 27 Jun 2016 19:19:12 +0000

zeromq3 (4.1.5-1) unstable; urgency=low

  * New upstream release.
  * Drop gcc6-fix.patch as this release contains it.
  * Update Hurd support patch.
  * Update watch file (closes: #827526).
  * Update Standards-Version to 3.9.8 .
  * Keep rebuildable.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Jun 2016 09:43:48 +0000
