=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: zeromq3
 Section: libs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  libpgm-dev (>= 5.2.122~dfsg),
  libsodium-dev,
  pkg-config
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zeromq3.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/zeromq3.git
 Homepage: http://www.zeromq.org/
