## zeromq3 4.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,9 @@
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu11")
 endif()
 
+# Will be used to add flags to pkg-config useful when apps want to statically link
+set (pkg_config_libs_private "")
+
 option (WITH_OPENPGM "Build with support for OpenPGM" OFF)
 option (WITH_VMCI "Build with support for VMware VMCI socket" OFF)
 
@@ -45,6 +48,7 @@
         endif ()
         set (ZMQ_USE_LIBSODIUM 1)
         set (ZMQ_HAVE_CURVE 1)
+        set (pkg_config_libs_private "${pkg_config_libs_private} -lsodium")
     else ()
         message (FATAL_ERROR
             "libsodium is not installed. Install it, then run CMake again")
@@ -77,7 +81,7 @@
 endif()
 
 set (POLLER "" CACHE STRING "Choose polling system. valid values are
-                            kqueue, epoll, devpoll, poll or select [default=autodetect]")
+                            kqueue, epoll, devpoll, pollset, poll or select [default=autodetect]")
 
 include (CheckFunctionExists)
 include (CheckTypeSize)
@@ -97,6 +101,10 @@
     set (CMAKE_REQUIRED_INCLUDES)
     if (HAVE_EPOLL)
         set (POLLER "epoll")
+        check_function_exists (epoll_create1 HAVE_EPOLL_CLOEXEC)
+        if (HAVE_EPOLL_CLOEXEC)
+            set (ZMQ_USE_EPOLL_CLOEXEC 1)
+        endif ()
     endif ()
 endif ()
 
@@ -107,6 +115,15 @@
     if (HAVE_DEVPOLL)
         set (POLLER "devpoll")
     endif ()
+endif ()
+
+if (POLLER STREQUAL "")
+    set (CMAKE_REQUIRED_INCLUDES sys/pollset.h)
+    check_function_exists (pollset_create HAVE_POLLSET)
+    set (CMAKE_REQUIRED_INCLUDES)
+    if (HAVE_POLLSET)
+        set (POLLER "pollset")
+    endif()
 endif ()
 
 if (POLLER STREQUAL "")
@@ -138,6 +155,7 @@
 if (POLLER STREQUAL "kqueue"
  OR POLLER STREQUAL "epoll"
  OR POLLER STREQUAL "devpoll"
+ OR POLLER STREQUAL "pollset"
  OR POLLER STREQUAL "poll"
  OR POLLER STREQUAL "select")
     message (STATUS "Detected ${POLLER} polling method")
@@ -165,6 +183,9 @@
 check_include_files (windows.h ZMQ_HAVE_WINDOWS)
 check_include_files (sys/uio.h ZMQ_HAVE_UIO)
 check_include_files (sys/eventfd.h ZMQ_HAVE_EVENTFD)
+if (ZMQ_HAVE_EVENTFD)
+  zmq_check_efd_cloexec ()
+endif ()
 
 check_library_exists (ws2_32 fopen "" HAVE_WS2_32) # TODO: Why doesn't something logical like WSAStartup work?
 check_library_exists (ws2 fopen "" HAVE_WS2)
@@ -329,7 +350,7 @@
 find_package (AsciiDoc)
 
 cmake_dependent_option (WITH_DOC "Build Reference Guide documentation (requires DocBook)" ON
-                       "PYTHON_FOUND;ASCIIDOC_FOUND" OFF)
+                       "PYTHONINTERP_FOUND;ASCIIDOC_FOUND" OFF)
 
 if (MSVC)
   if (WITH_OPENPGM)
@@ -361,38 +382,14 @@
   endif ()
 else ()
   if (WITH_OPENPGM)
-    message (FATAL_ERROR "WITH_OPENPGM not implemented")
-    # DSO symbol visibility for openpgm
-    if (HAVE_FLAG_VISIBILITY_HIDDEN)
-
-    elseif (HAVE_FLAG_LDSCOPE_HIDDEN)
-    endif ()
-  endif ()
-endif ()
-
-
-#-----------------------------------------------------------------------------
-# force off-tree build
-
-if (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})
-message (FATAL_ERROR "CMake generation is not allowed within the source directory!
-Remove the CMakeCache.txt file and try again from another folder, e.g.:
-
-   rm CMakeCache.txt
-   mkdir cmake-make
-   cd cmake-make
-   cmake ..
-")
-endif ()
-
-#-----------------------------------------------------------------------------
-# default to Release build
-
-if (NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
-  # CMAKE_BUILD_TYPE is not used for multi-configuration generators like Visual Studio/XCode
-  # which instead use CMAKE_CONFIGURATION_TYPES
-  set (CMAKE_BUILD_TYPE Release CACHE STRING
-      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
-      FORCE)
-endif ()
-
+    #  message (FATAL_ERROR "WITH_OPENPGM not implemented")
+    
+    if (NOT OPENPGM_PKGCONFIG_NAME)
+      SET (OPENPGM_PKGCONFIG_NAME "openpgm-5.2")
+    endif(NOT OPENPGM_PKGCONFIG_NAME)
+    
+    SET (OPENPGM_PKGCONFIG_NAME ${OPENPGM_PKGCONFIG_NAME} CACHE STRING 
+      "Name pkg-config shall use to find openpgm libraries and include paths"
+      FORCE )
+    
+    find_package(PkgConfig)
