=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,7 @@
         test_xpub_manual
         test_xpub_welcome_msg
         test_base85
+        test_bind_after_connect_tcp
         test_sodium
 )
 if(NOT WIN32)
@@ -83,6 +84,7 @@
           test_router_mandatory_hwm
           test_use_fd_ipc
           test_use_fd_tcp
+          test_zmq_poll_fd
   )
   if(HAVE_FORK)
     list(APPEND tests test_fork)
@@ -137,7 +139,7 @@
 endif()
 
 # add library and include dirs for all targets
-link_libraries(libzmq)
+link_libraries(libzmq ${OPTIONAL_LIBRARIES})
 include_directories("${CMAKE_SOURCE_DIR}/../include")
 
 foreach(test ${tests})
@@ -155,6 +157,7 @@
         link_directories(${test} PRIVATE "${CMAKE_SOURCE_DIR}/../lib")
     endif()
   endif()
+
 
   if(RT_LIBRARY)
     target_link_libraries(${test} ${RT_LIBRARY} )
