=== debian/changelog ===
zeromq3 (4.2.1-4+deb9u4) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2021-20234
    Memory leak in client induced by malicious server without CURVE/ZAP
  * CVE-2021-20235
    Heap overflow when receiving malformed ZMTP v1 packets

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Mar 2021 19:45:32 +0100

zeromq3 (4.2.1-4+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * zeromq connects peer before handshake is completed.
    (CVE-2020-15166)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 10 Nov 2020 19:39:03 +0530

zeromq3 (4.2.1-4+deb9u2) stretch-security; urgency=high

  [ Luca Boccassi <bluca@debian.org> ]
  * Fix CVE-2019-13132: application metadata not parsed correctly when using
    CURVE.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Jul 2019 14:19:32 +0000

zeromq3 (4.2.1-4+deb9u1) stretch-security; urgency=medium

  * CVE-2019-6250 (Closes: #919098)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sun, 13 Jan 2019 18:02:22 +0100

zeromq3 (4.2.1-4) unstable; urgency=medium

  * Backport upstream fix to disable experimental zmq_poll implementation
    (closes: #861416).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 28 Apr 2017 18:52:42 +0000

zeromq3 (4.2.1-3) unstable; urgency=medium

  * Compile with OpenPGM support (closes: #856023).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Feb 2017 17:35:03 +0000

zeromq3 (4.2.1-2) unstable; urgency=low

  * Backport upstream fix for Hurd FTBFS (closes: #849860).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Jan 2017 15:53:54 +0000

zeromq3 (4.2.1-1) unstable; urgency=low

  * New upstream, bugfix release.
  * Sync with Ubuntu.

  [ Steve Langasek <steve.langasek@ubuntu.com> ]
  * Never use hard-coded local port numbers in tests.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 31 Dec 2016 16:03:21 +0000

zeromq3 (4.2.0-2) unstable; urgency=low

  * Update library symbols for kfreebsd-i386 .
  * Add xmlto and asciidoc to build depends to generate manpages
    (closes: #844104).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Nov 2016 23:13:55 +0000

zeromq3 (4.2.0-1) unstable; urgency=low

  * New upstream release (closes: #843157).
  * Update library symbols.
  * Drop merged in patches.
  * Update remaining patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 04 Nov 2016 15:30:31 +0000
