=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: zeromq3
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  libpgm-dev (>= 5.2.122~dfsg),
  libsodium-dev,
- pkg-config
+ pkg-config,
+ xmlto,
+ asciidoc
 Standards-Version: 3.9.8
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zeromq3.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/zeromq3.git
