=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,11 @@
 override_dh_clean:
 	dh_clean
 	find $(CURDIR) -type s -exec rm {} \;
+	rm -f $(CURDIR)/doc/*.xml $(CURDIR)/doc/*.3 $(CURDIR)/doc/*.7
 	rm -f config.log
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-system-pgm
+	dh_auto_configure -- --with-pgm --with-libsodium
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
